maph 1.0.0 High-Performance Memory-Mapped Key-Value Database with O(1) Lookups

Loading...
Searching...
No Matches
Public Member Functions | List of all members
httplib::Result Class Reference

`#include <httplib.h>`

Collaboration diagram for httplib::Result:

## Public Member Functions
| Result ()=default
| Result (std::unique_ptr< Response > &&res, Error err, Headers &&request_headers=Headers{})
| operator bool () const
bool | operator== (std::nullptr_t) const
bool | operator!= (std::nullptr_t) const
const Response & | value () const
Response & | value ()
const Response & | operator* () const
Response & | operator* ()
const Response * | operator-> () const
Response * | operator-> ()
Error | error () const
bool | has_request_header (const std::string &key) const
std::string | get_request_header_value (const std::string &key, const char *def="", size_t id=0) const
size_t | get_request_header_value_u64 (const std::string &key, size_t def=0, size_t id=0) const
size_t | get_request_header_value_count (const std::string &key) const

## Detailed Description

Definition at line 1326 of file httplib.h.

## Constructor & Destructor Documentation

## ◆ Result() [1/2]

httplib::Result::Result | ( |  | ) |
| default

## ◆ Result() [2/2]

httplib::Result::Result | ( | std::unique_ptr< Response > && | res,
|  | Error | err,
|  | Headers && | request_headers = `Headers{}`
| ) |  |
| inline

Definition at line 1329 of file httplib.h.

## Member Function Documentation

## ◆ error()

Error httplib::Result::error | ( |  | ) | const
| inline

Definition at line 1356 of file httplib.h.

## ◆ get_request_header_value()

std::string httplib::Result::get_request_header_value | ( | const std::string & | key,
|  | const char * | def = `""`,
|  | size_t | id = `0`
| ) |  | const
| inline

Definition at line 6972 of file httplib.h.

## ◆ get_request_header_value_count()

size_t httplib::Result::get_request_header_value_count | ( | const std::string & | key | ) | const
| inline

Definition at line 6979 of file httplib.h.

## ◆ get_request_header_value_u64()

size_t httplib::Result::get_request_header_value_u64 | ( | const std::string & | key,
|  | size_t | def = `0`,
|  | size_t | id = `0`
| ) |  | const
| inline

Definition at line 2288 of file httplib.h.

## ◆ has_request_header()

bool httplib::Result::has_request_header | ( | const std::string & | key | ) | const
| inline

Definition at line 6968 of file httplib.h.

## ◆ operator bool()

httplib::Result::operator bool | ( |  | ) | const
| inline

Definition at line 1345 of file httplib.h.

## ◆ operator!=()

bool httplib::Result::operator!= | ( | std::nullptr_t |  | ) | const
| inline

Definition at line 1347 of file httplib.h.

## ◆ operator*() [1/2]

Response & httplib::Result::operator* | ( |  | ) |
| inline

Definition at line 1351 of file httplib.h.

## ◆ operator*() [2/2]

const Response & httplib::Result::operator* | ( |  | ) | const
| inline

Definition at line 1350 of file httplib.h.

## ◆ operator->() [1/2]

Response * httplib::Result::operator-> | ( |  | ) |
| inline

Definition at line 1353 of file httplib.h.

## ◆ operator->() [2/2]

const Response * httplib::Result::operator-> | ( |  | ) | const
| inline

Definition at line 1352 of file httplib.h.

## ◆ operator==()

bool httplib::Result::operator== | ( | std::nullptr_t |  | ) | const
| inline

Definition at line 1346 of file httplib.h.

## ◆ value() [1/2]

Response & httplib::Result::value | ( |  | ) |
| inline

Definition at line 1349 of file httplib.h.

## ◆ value() [2/2]

const Response & httplib::Result::value | ( |  | ) | const
| inline

Definition at line 1348 of file httplib.h.

The documentation for this class was generated from the following file:

- integrations/rest_api/httplib.h